package cn.freemud.enums;

public enum DefaultPageType {

    CART_EMPTY("cart_empty","购物车为空","http://p33yoegl1.bkt.clouddn.com/iapply/image/%E8%B4%AD%E7%89%A9%E8%BD%A6%E7%A9%BA.png"),
    COFFEE("coffee","咖啡","http://p33yoegl1.bkt.clouddn.com/iapply/image/%E5%92%96%E5%95%A1.png"),
    NOT_ADDRESS("no_address","没有地址","http://p33yoegl1.bkt.clouddn.com/iapply/image/%E6%97%A0%E5%9C%B0%E5%9D%80.png"),
    NOT_ORDER("no_order","没有订单","http://p33yoegl1.bkt.clouddn.com/iapply/image/%E6%97%A0%E8%AE%A2%E5%8D%95.png"),
    NOT_NET("no_net","没有网络","http://p33yoegl1.bkt.clouddn.com/iapply/image/%E6%97%A0%E7%BD%91%E7%BB%9C.png"),
    NOT_COUPON("not_coupon","没有优惠券","http://p33yoegl1.bkt.clouddn.com/iapply/image/%E6%97%A0%E4%BC%98%E6%83%A0%E5%88%B8.png");

    private String code;

    private String message;

    private String imageUrl;

    DefaultPageType(String code,String message,String imageUrl) {
        this.code = code;
        this.message = message;
        this.imageUrl = imageUrl;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public String getImageUrl() {
        return imageUrl;
    }
}
